import request from "@/utils/request";

// 实验室专家列表
export const paperList = (params) => {
  return request({
    url: `/app/laboratory/paperList`,
    method: "GET",
    params,
  });
};

// 实验室新增专利
export const insertLabPatent = (data) => {
  return request({
    url: `/app/laboratory/patent`,
    method: "POST",
    data,
  });
};

/**
 * 实验室修改专利
 * @param data
 * @return {*}
 */
export const updateLabPatent = (data) => {
  return request({
    url: `/app/laboratory/patent`,
    method: "PUT",
    data,
  });
};

export const deletePaper = (ids) => {
  return request({
    url: `/app/laboratory/deletePaper/{ids}`,
    method: "DELETE",
  });
};

// 单位浏览记录
export const seeLogList = (params) => {
  return request({
    url: `/app/laboratory/seeLogList`,
    method: "GET",
    params,
  });
};
